PipeWire 1.2.6

Loading...
Searching...
No Matches
Data Fields
spa_support Struct Reference
SPA » Support » Plugin Handle

Extra supporting infrastructure passed to the init() function of a factory. More...

`#include <spa/support/plugin.h>`

## Data Fields
const char * | type
void * | data

## Detailed Description

Extra supporting infrastructure passed to the init() function of a factory.

It can be extra information or interfaces such as logging.

Examples
  local-v4l2.c, spa/examples/adapter-control.c, spa/examples/example-control.c, spa/examples/local-libcamera.c, and spa/examples/local-v4l2.c.

## Field Documentation

## ◆ type

const char* spa_support::type

## ◆ data

void* spa_support::data

The documentation for this struct was generated from the following file:

- spa/support/plugin.h